# Handbok Terminal

Jonathan
Singer

    jsinger@leeta.net

Chris
Machemer

    machey@ptd.net

Underhållare
Michael
McBride
Granskning

    mmcbride@ematic.com

Lauri
Watts
Granskning

    vampyr@atconnex.net

Stefan
Asserhäll

    stefan.asserhall@telia.com

Översättare
2000
2001
Jonathan Singer
&FDLNotice;
2001-07-09
1.00.20

Det här dokumentet är användarhandboken för terminalprogrammet.

Terminal är en X-terminalemulator för &kde; 2.0

KDE
konsole
kdebase
kommando
rad

## Introduktion till Terminal

Terminal är en X-terminalemulator som tillhandahåller ett kommandoradsgränssnitt (eng. CLI) som används med den grafiska K skrivbordsmiljön. Terminal hjälper till att organisera användarens skrivbord bättre genom att hantera flera sessioner i ett enda fönster (ett mindre skräpigt skrivbord).

Dess avancerade funktioner är bland annat en enkel anpassning och möjligheten att visa flera terminalskal i ett enda fönster.

Med hjälp av Terminal kan en avändare öppna:

- &Linux; konsollsessioner

- Midnight Commander filhanteringssessioner

- Skalsessioner

- Root-konsollsessioner

- Root Midnight Commander-sessioner

Dessa sessioner kan döpas om för att hjälpa dig hålla reda på alla dina skal, och du kan skicka signaler till dem (STOP, CONT, HUP, INT, TERM, KILL).

För att få mer kontroll över Terminal kan en användare:

- visa/gömma menyraden, verktygsraden och/eller fönsterramen

- välja storleken på ett terminalfönster, teckensnitt, färgscheman och tangentbindningar

- ändra plats på rullningslisten eller gömma den

Alla inställningar som väljs kan göras till förval för framtida sessioner genom att spara dem.

### Historik

För de med ett djupt intresse av fria X-terminalers taxonomi, finns det två andra av samma sort: xterm, originalet, skrevs redan innan X själv (ungefär en månad), och xvt, en lättviktig xterm-klon, som de flesta andra nuvarande varianter (särskilt eterm) är baserade på.

Efter ett decennium, är &konsole; den första helt nyskrivna versionen. Medan xterm definitivt har hackats till döds (dess `README`-fil börjar med citatet Lämnen varje hopp i som här ingån), ger &konsole; en ny början med samtida teknik och förståelse av X.

## Användning av Terminal

### Uppstart

När Terminal startas, körs ett program (typiskt ett Unix-skal) i fönstret. Skriv helt enkelt in kommandon vid promptern.

Terminalskärmen
Terminalskärmen

### Historik

När rader rullar upp ovanför skärmens överkant, kan de granskas genom att flytta rullningslisten uppåt, eller genom att använda tangenterna Skift Pg Up (för att flytta bakåt en sida), Skift Pg Dn (för att flytta framåt en sida), Skift Upp (för att flytta upp en rad) och Skift Ner (för att flytta ner en rad), under förutsättning att "Historik" är aktiverad.

### Musknappar

Vänster

  Ett klick på vänster knapp skickas som en händelse till programmet som kör i emulatorn, om det känner till musen. Om ett program reagerar på musklick, indikerar Terminal detta genom att visa en pilmarkör. Om inte visas en I-formad (stapel) markör.

  Att hålla nere vänsterknappen och dra musen över skärmen med ett program som inte känner till musen, markerar ett område av texten. Medan man drar visas den markerade texten i omvända färger som synligt gensvar. När knappen släpps kopieras den markerade texten till klippbordet för ytterligare användning inom Terminal eller i ett annat program.

  Normalt så infogas nyradstecken i slutet på varje rad som väljs. Det här är bäst för klipp och klistra av källkod, eller utmatning från ett enskilt kommando. Fö normal text är radbrytningar ofta inte viktiga. Man föredrar att texten är en sekvens av tecken som automatiskt formatteras om när de klipps in i ett annat program. För att välja med teckensekvensläge, håll nere Ctrl-tangenten och välj som vanligt.

  Om den övre eller nedre kanten av textområdet rörs medan man markerar, rullar Terminal texten uppåt eller neråt, och visar till slut text i historikbufferten. Rullningen stannar när musen stannar.

  Efter musen har stannat försöker Terminal behålla texten på klippbordet synlig genom att behålla det markerade området i omvända färger. Det markerade området återgår till normalläge så fort innehållet i klippbordet ändras, texten i det markerade området ändras eller vänster-knappen klickas.

  För att markera text i ett program som känner till musen, måste Skift-tangenten hållas nere när man klickar.

Mitten

  Genom att klicka med midttenknappen klistras texten som för närvarande finns på klippbordet in.

  Om du har en mus med bara två knappar, emuleras mittenknappen på en mus med tre knappar genom att trycka på både vänster- och högerknappen..

Höger

  Högerknappen visar menyn Inställningar. &Ctrl; högerknapp visar menyn Arkiv, medan &Shift; högerknapp visar menyn Sessioner.

### Menyraden

Menyraden är överst i terminalfönstret. Den kan döljas och visas genom att växla med Visa menyrad i menyn Inställningar. När menyraden är dold kan Visa menyrad nås genom att högerklicka i fönstret.

#### Arkiv-menyn

Arkiv Linuxkonsoll

  Öppnar en ny session som emulerar ett textbaserat Linuxsystem.

  Se filen `README.linux.console` i källkodspaketet för &konsole; där detaljerad information om hur &Linux;-konsollen skiljer sig från en typisk &UNIX;-konsoll ges.

Arkiv Midnight Commander

  Öppnar en ny session med den grafiska filbläddraren Midnight Commander

Arkiv Skal

  Öppnar en ny session med ett terminalskal

Arkiv Rotkonsoll

  Öppnar en ny session med ett terminalskal, som användaren root.

  Efter att ha blivit tillfrågad om root-lösenordet, visas #-promptern, som indikerar att användaren arbetar med root-rättigheter. Detta är ofta nödvändigt för att kunna installera ny programvara och annat systemunderhåll, men försiktighet bör iakttas för att undvika skador av misstag.

Arkiv Midnight Commander för root

  Öppnar en ny session med den grafiska filbläddraren Midnight Commander, som användaren root.

  Efter att ha blivit tillfrågad om root-lösenordet, visas #-promptern under bläddrarfönstret, som indikerar att användaren arbetar med root-rättigheter. Återigen, detta är ofta nödvändigt, men försiktighet bör iakttas för att undvika skador av misstag.

Arkiv Avsluta

  Avslutar Terminal, och stänger alla sessioner och alla program som startats i dem.

Du kan också öppna en ny session med en snabbtangent. Normalt används Alt Ctrl N . Du kan också definiera din egen snabbtangent för att starta en ny terminalsession. Filerna med ändelsen `*.keytab` i `$`KDEDIR`/share/apps/konsole` definierar snabbtangenter.

Att lägga till definitionen `key F12 + Shift : newSession` i den aktiva keytab-filen gör till exempel att ett nytt skal startas om man trycker &Shift;F12. Använd menykommandot Inställningar Tangentbord för att välja en keytab-fil. Filen `README.KeyTab` innehåller mer information om hur man definierar snabbtangenter.

#### Menyn Sessioner

Sessioner Skicka signal

  Skicka signal - Skickar den angivna signalen till skalprocessen, eller en annan process som kördes när den nya sessionen startades.

  För närvarande är de tillgängliga signalerna:

  STOP | stoppa aktivitet
  CONT | återuppta aktivitet om stannad
  HUP | lägg på detekterad på kontrollerande terminal, eller den kontrollerande aktiviteten har dödats
  INT | avbrott från tangentbordet
  TERM | avsluta aktivitet
  KILL | döda aktivitet

  Titta i systemets manualsidor för ytterligare detaljer genom att ange kommandot ``man` `7 signal``.

Sessioner Byt namn på sessionen...

  Ändrar namnet på den aktiva sessionen

Sessioner Sessionsikoner...

  Längst ner på menyn är en lista på tillgängliga sessioner. Genom att välja en blir den aktiv.

  Du kan också använda tangenterna Skift Vänster/Skift Höger för att gå igenom de tillgängliga sessionerna cykliskt.

#### Menyn Inställningar

Inställningar Byt namn på sessionen...

  Ändrar namnet på den aktiva sessionen

Inställningar Visa menyrad

  Visar eller döljer menyraden

Inställningar Visa verktygsrad

  Visar eller döljer verktygsraden

Inställningar Visa ram

  Visar eller döljer fönsterramen

Inställningar Rullningslist

  Kontrollerar placeringen av rullningslisten: Göm, Vänster, eller Höger

Inställningar Fullskärm

  Växlar fönstret mellan fullskärmsläge och normalläge

Inställningar Storlek

  Ställer in storleken på textområdet (angiven i kolumner och rader)

Inställningar Teckensnitt

  Ställer in teckensnitt och teckensnittsstorlek

  Välj Eget... för att använda vilken kombination som helst av teckensnitt, storlek och stil. Filen `README.fonts` i källkodspaketet för &konsole; ger tips om vilka teckensnitt som fungerar bra.

Inställningar Schema

  Ställer in färger för text och bakgrund

  Listan på dessa scheman hämtas från `$KDEDIR/share/apps/konsole/*.schema`. Filen `$KDEDIR/share/apps/konsole/README.Schema` beskriver schema-formatet i mer detalj. Du kan också skapa egna scheman från inställningsmodulen System Konsollen.

Inställningar Historik...

  Öppnar en dialogruta där du kan ställa in historiken.. Rutan aktivera väljer om rader som rullar utanför fönstret längst upp ska sparas eller inte. Du kan skriva in Antal rader som ska kommas ihåg i textrutan, eller använda knapparna för att öka eller minska antalet i steg om 100 rader. Knappen Förval återställer historiken till 1000 rader. Tryck på Ok för att spara dina ändringar, ellerAvbryt för att stänga dialogrutan utan att spara dina inställningar. Knappen Hjälp öppnar den här handboken, och visar texten som du läser just nu.

Inställningar Codec

  Inte implementerad ännu

Inställningar Tangentbord

  Väljer tangentbindning som önskas

  Listan med tangentbindningar hämtas från `$KDEDIR/share/apps/konsole/*.keytab`. Filen `$KDEDIR/share/apps/konsole/README.KeyTab` beskriver keytab-formatet i mer detalj. Lägg till eller ändra dessa filer för att passa dina behov.

Inställningar Ordavskiljare

  Ange tecken som känns igen som avskiljare mellan ord

  Det här påverkar vilken text som väljs när du dubbelklickar på texten. Det är viktigast för andra textkodningar än västerländska.

Inställningar Varna om öppna sessioner vid avslut

  När det här är valt visas en varning när du försöker stänga ett terminalfönster med flera sessioner.

Inställningar Spara inställningarna

  Sparar de nuvarande inställningarna som de nya standardinställningarna

#### Hjälpmenyn

F1 Hjälp Innehåll...

  Öppnar innehållsförteckningen för det här dokumentet

Hjälp Teknisk referensmanual

  Detaljerad information om terminalemulering och &konsole;

Hjälp Rapportera fel

  Skicka en felrapport eller begäran om en ny funktion för &konsole;

Hjälp Om Konsol

  Information om &konsole;s upphovsman

Hjälp Om KDE

  Information om KDE-projektet

### Verktygsraden

Verktygsraden finns längst ner i terminalfönstret.

Den kan gömmas och visas igen genom att växla Visa verktygsrad i menyn Inställningar eller genom att klicka på den streckade rutan vid verktygsradens kant. Verktygsraden innehåller en Ny-ikon och ikoner för de nuvarande sessionerna. Genom att klicka på Ny visas en ny skal-session.

Genom att klicka på en befintlig sessions ikon blir den aktiv.

När verktygsraden är dold, kan Skift Vänster och Skift Höger användas för att byta mellan sessioner.

### Kommandoradsväljare

När Terminal startas från kommandoraden kan olika väljare anges för att ändra dess beteende.

`--help`

  Visa hjälp om väljare

`--name`

  Ange namnet som visas i namnlisten

`--ls`

  Starta ett inloggningsskal

`--nowelcome`

  Stäng av hälsningen "Välkommen till terminal" som normalt visas i namnlisten

`-T,--title`

  Ange fönstertitel

`--xwin`

  Ignoreras

`--nohist`

  Spara inte rader som rullar utanför fönstret i överkanten

`--notoolbar`

  Starta Terminal utan en verktygsrad

`--vt_sz` `KxR`

  Starta ett terminalfönster med K kolumner och R rader

`-e` `kommando`

  Kör `kommando` istället för ett skal.

Till exempel:

    bash$ konsole--vt_sz 90x25--nohist

startar ett terminalfönster med 90 kolumner och 25 rader, utan historik

Terminal accepterar också generella &Qt; och KDE väljare:

`--help-qt`

  Visa väljare specifika för Qt

`--help-kde`

  Visa väljare specifika för KDE

`--help-all`

  Visa alla väljare

`--author`

  Visa information om upphovsman

`-v,--version`

  Visa versionsinformation

`--license`

  Visa licensinformation

## Tack till och Copyright

&konsole; underhålls av Chris Machemer machey@ptd.net

Programmet &konsole; Copyright 1997-2000 Lars Doelle lars.doelle@on-line.de

Det här dokumentet är skrivet av Jonathan Singer jsinger@genome.wi.mit.edu

Överfört till DocBook SGML av Michael McBride mmcbride@ematic.com och Lauri Watts vampyr@atconnex.net

Översättning Stefan Asserhäll stefan.asserhall@telia.com

&underFDL; &underGPL;

## Installation

&konsole; är en del av &kde; 2.0 baspacket. Den installeras automatiskt med din &kde;-installation, och kräver &kde; 2.0 för att fungera.

För mer information kan du besöka &kde;:s hemsida på http://www.kde.org/

För att skaffa &konsole; separat, ladda ner kdebase-paketet, och kompilera och installera det som anges i paketets huvudkatalog. Nya versioner av kdebase kan skaffas på ftp://ftp.kde.org/pub/

För att bygga &konsole;:

    $  cd kdebase/konsole
    $  ./configure
    $  make
    Sedan som root:
    #  make install

Information om hur man bygger &konsole; på andra plattformar än &Linux; finns tillgänglig i filen `README.ports` i källkodspaketet för &konsole;. Den ger en lista på experter för vissa plattformar (Tru64, Solaris, OpenBSD) och frågar efter frivilliga för andra &UNIX;-plattformar.

&documentation.index;